- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
AlpsSolution Class Reference

`#include <AlpsSolution.h>`

Inheritance diagram for AlpsSolution:
[legend]
Collaboration diagram for AlpsSolution:
[legend]

## Public Member Functions
| AlpsSolution ()
| Default constructor. More...
| AlpsSolution (const AlpsNodeIndex_t i, const int d)
| Constructor to set index and depth. More...
virtual | ~AlpsSolution ()
| Destructor. More...
AlpsNodeIndex_t | getIndex ()
| Get index where solution was found. More...
void | setIndex (const AlpsNodeIndex_t i)
| Set index where solution was found. More...
int | getDepth ()
| Get depth where solution was found. More...
void | setDepth (const int d)
| Set depth where solution was found. More...
virtual void | print (std::ostream &os) const
| Print out the solution. More...
Public Member Functions inherited from AlpsKnowledge
| AlpsKnowledge ()
virtual | ~AlpsKnowledge ()
KnowledgeType | getType ()
void | setType (KnowledgeType t)
virtual AlpsEncoded * | encode () const
| This method should encode the content of the object and return a pointer to the encoded form. More...
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded)
| Pack into a encode object. More...
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| This method should decode and return a pointer to a brand new object, i.e., the method must create a new object on the heap from the decoded data instead of filling up the object for which the method was invoked. More...
AlpsEncoded * | getEncoded () const
| Get/set encoded. More...
void | setEncoded (AlpsEncoded *e)

## Private Member Functions
| AlpsSolution (const AlpsSolution &)
| Diable copy constructor and assignment. More...
AlpsSolution & | operator= (const AlpsSolution &)

## Private Attributes
int | index_
| The index of the node where the solution was found. More...
int | depth_
| The depth of the node where the solution was found. More...

## Additional Inherited Members
Protected Attributes inherited from AlpsKnowledge
KnowledgeType | type_

## Detailed Description

Definition at line 35 of file AlpsSolution.h.

## Constructor & Destructor Documentation

AlpsSolution::AlpsSolution | ( | const AlpsSolution & |  | ) |
| private

Diable copy constructor and assignment.

AlpsSolution::AlpsSolution | ( |  | ) |
| inline

Default constructor.

Definition at line 51 of file AlpsSolution.h.

AlpsSolution::AlpsSolution | ( | const AlpsNodeIndex_t | i,
|  | const int | d
| ) |  |
| inline

Constructor to set index and depth.

Definition at line 59 of file AlpsSolution.h.

virtual AlpsSolution::~AlpsSolution | ( |  | ) |
| inline virtual

Destructor.

Definition at line 67 of file AlpsSolution.h.

## Member Function Documentation

AlpsSolution& AlpsSolution::operator= | ( | const AlpsSolution & |  | ) |
| private

AlpsNodeIndex_t AlpsSolution::getIndex | ( |  | ) |
| inline

Get index where solution was found.

Definition at line 70 of file AlpsSolution.h.

void AlpsSolution::setIndex | ( | const AlpsNodeIndex_t | i | ) |
| inline

Set index where solution was found.

Definition at line 73 of file AlpsSolution.h.

int AlpsSolution::getDepth | ( |  | ) |
| inline

Get depth where solution was found.

Definition at line 76 of file AlpsSolution.h.

void AlpsSolution::setDepth | ( | const int | d | ) |
| inline

Set depth where solution was found.

Definition at line 79 of file AlpsSolution.h.

virtual void AlpsSolution::print | ( | std::ostream & | os | ) | const
| inline virtual

Print out the solution.

Reimplemented in BcpsSolution, AbcSolution, KnapSolution, BlisSolution, and VrpSolution.

Definition at line 82 of file AlpsSolution.h.

## Member Data Documentation

int AlpsSolution::index_
| private

The index of the node where the solution was found.

Definition at line 43 of file AlpsSolution.h.

int AlpsSolution::depth_
| private

The depth of the node where the solution was found.

Definition at line 46 of file AlpsSolution.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Alps/src/AlpsSolution.h